import request from '@/utils/request'
// 查询车辆分配占比
export function getAllocationForCar() {
  return request({
    url: '/clw/statistics/allocationForCar',
    method: 'get',
  })
}
// 查询车辆分布
export function getDistributionForCar() {
  return request({
    url: '/clw/statistics/distributionForCar',
    method: 'get',
  })
}
// 查询车辆类型占比
export function getTypeProportionForCar() {
  return request({
    url: '/clw/statistics/typeProportionForCar',
    method: 'get',
  })
}
// 查询油卡分配比例
export function getDistributionForFuelCard() {
    return request({
      url: '/clw/statistics/distributionForFuelCard',
      method: 'get',
    })
  }
// 查询油耗统计表格
export function getFuelConsumptionRanking(params) {
    return request({
      url: '/clw/statistics/fuelConsumptionRanking',
      method: 'get',
      params
    })
  }
  // 查询油耗统计柱状图
export function getFuelConsumptionStatistics(params) {
    return request({
      url: '/clw/statistics/fuelConsumptionStatistics',
      method: 'get',
      params
    })
  }
    // 查询总油量
export function getSelectCarFuelStatistics(params) {
  return request({
    url: '/clw/statistics/selectCarFuelStatistics',
    method: 'get',
    params
  })
}